1.0

1.0

post /v1/data-flow-services

Description

Create dataflow service console

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
bodybody
required

DataFlowServiceCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flow-services

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.0"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "data_flow_id": "",
    "data_flow_service_name": "",
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "node_selector": "",
    "service_workload": {
        "nifi": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "1",
            "version": "1.27.1"
        },
        "nifi_registry": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "1",
            "version": "1.27.1"
        },
        "zookeeper": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "3",
            "version": "3.9.2"
        }
    },
    "storage_class_name": "",
    "tags": [
        {
            "tag_key": "",
            "tag_value": ""
        }
    ]
}

Example HTTP response

Response 202